Subject: Re: bug#47868: 28.0.50; [native-comp] vertico package doesn't work when loading the corresponding eln file

From: Andrea Corallo <[email-masked]>
Date: Thu, 22 Apr 2021 07:47:20 +0000

Doug Davis <[email-masked]> writes:

> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
>
>> Daniel Mendler <[email-masked]> writes:
>>
>>> On 4/21/21 10:31 AM, Andrea Corallo wrote:
>>>> Daniel Mendler <[email-masked]> writes:
>>>>> Is it uncommon to use propertized string literals, since these were
>>>>> the ones which introduced the issue here? (No coincidence that two
>>>>> packages of mine were affected by this)
>>>> Yes it is uncommon but still this is a native compiler bug as the
>>>> byte
>>>> compiler hash cons string correctly.
>>>
>>> No doubt it is is a bug. I was just wondering that two of my recent
>>> packages triggered a bug given that many people already happily use
>>> native. Thank you for fixing this and for all the efforts with native
>>> compilation. I am looking very much forward to using it.
>>>
>>> Daniel
>>
>> Yes, indeed your packages did a very good work at unveiling this bug :)
>>
>> As of f842816125 it should work (haven't tried again with vertigo tho),
>> some testing appreciated as usual.
>
> I just recompiled my local native-comp branch and vertico is behaving as
> it does with my package-manager-provided Emacs 27.2 installation. thanks
> Daniel and Andrea :)

Very nice thanks you for testing :)

Closing this then, happy to reopen if necessary.

Thanks

  Andrea